Best answer

Error: “Cannot publish your draft, as one or more of your accounts are expired. Please correct any errors in the Zap Status sidebar.”

  • 30 March 2023
  • 9 replies
  • 211 views

The zap between CallRail and Salesforce had been working correctly for days, but when a new draft was made to integrate another step ion the zap suddenly this error occurred: “Cannot publish your draft, as one or more of your accounts are expired. Please correct any errors in the Zap Status sidebar.”

I’ve reset the connection a few times, but it still wouldn’t work. I reverted to the old zap without the added step and it wouldn’t work. I rebuilt the old zap from scratch and it wouldn’t work. But every time I hit test it functions successfully, and on live it says “accounts expired”. 

What is happening???

icon

Best answer by ken.a 17 May 2023, 04:38

View original

9 replies

Userlevel 1

Having this problem as well. 

Userlevel 7
Badge +6

Hey there @qspeaker and @Anthony Lara,

I did some digging into this and it seems like we’re running into a bug here. Our team is aware of the issue and we're working with CallRail on a fix. I've added both of your email address as another affected users. That does a few things:

  • Bring this to the attention of the integration developers
  • Help track and prioritize fixes
  • Allows us to notify you via email if/when this is fixed

Unfortunately, I do not have an ETA, but I’ve added you to the list of users affected by this issue so we can let you know as soon as we have any updates.

I wish I have something better to show you. Let me know how I can assist you further. Always happy to lend a hand.

Thanks! 😊

Userlevel 1

Hey there @qspeaker and @Anthony Lara,

I did some digging into this and it seems like we’re running into a bug here. Our team is aware of the issue and we're working with CallRail on a fix. I've added both of your email address as another affected users. That does a few things:

  • Bring this to the attention of the integration developers
  • Help track and prioritize fixes
  • Allows us to notify you via email if/when this is fixed

Unfortunately, I do not have an ETA, but I’ve added you to the list of users affected by this issue so we can let you know as soon as we have any updates.

I wish I have something better to show you. Let me know how I can assist you further. Always happy to lend a hand.

Thanks! 😊

Appreciate the update- at least I know you guys are on it. Thanks

Userlevel 1

Any update on the CallRail fix? Thanks!

Userlevel 7
Badge +6

Hi there @Kevin L,

I hope you're doing well!

I checked the bug report and it looks like the CallRail team has resolved the issue. Can you please verify if you're still experiencing the same problem on your end? If so, could you please send a screenshot of the error as well?

Thanks! 😊

Userlevel 1

It keeps gives me “1 expired connection” I reverify my CallRail account, and when itry to turn the zap on it automatically turns off with an error messgae.

 

Thank you!

 

 

Userlevel 7
Badge +6

Hi @Kevin L,

Thank you for sharing the screenshot!

It seems like the CallRail engineers have fixed the authentication issues with their integration and have released an update that should address those issues.

It's possible that your connection was marked as "expired" and needs to be reconnected one last time. You can do this in the Zapier Editor or by clicking here. Additionally, please ensure that you are using CallRail version 1.2.2, which is the latest version of the app.

Please let me know if you have any questions or concerns.

Userlevel 1

Thank you! Everything is working again :)

Userlevel 7
Badge +6

Hi @Kevin L,

You are most welcome!

If you have any other questions, please don’t hesitate to ask in the Community. We’re always happy to help! 🤗

Reply